package com.qmth.distributed.print.business.bean.result.report.word;

import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;

/**
 * @Description: 课程报告表格4bean
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2024/1/31
 */
public class CourseTargetTableBean4 implements Serializable {

    @ApiModelProperty(name = "序号")
    Integer num = 0;

    @ApiModelProperty(name = "考核项目")
    String project;

    @ApiModelProperty(name = "考核内容所涵盖的知识单元")
    String content;

    @ApiModelProperty(name = "目标分值")
    Double targetScore;

    @ApiModelProperty(name = "对应的课程目标")
    String courseTarget;

    public CourseTargetTableBean4() {

    }

    public CourseTargetTableBean4(Integer num, String project, String content, Double targetScore, String courseTarget) {
        this.num = num;
        this.project = project;
        this.content = content;
        this.targetScore = targetScore;
        this.courseTarget = courseTarget;
    }

    public Integer getNum() {
        return num;
    }

    public void setNum(Integer num) {
        this.num = num;
    }

    public String getProject() {
        return project;
    }

    public void setProject(String project) {
        this.project = project;
    }

    public String getContent() {
        return content;
    }

    public void setContent(String content) {
        this.content = content;
    }

    public Double getTargetScore() {
        return targetScore;
    }

    public void setTargetScore(Double targetScore) {
        this.targetScore = targetScore;
    }

    public String getCourseTarget() {
        return courseTarget;
    }

    public void setCourseTarget(String courseTarget) {
        this.courseTarget = courseTarget;
    }
}
